﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace igComboMVC.Models
{
    public class EditDocumentViewModel
    {
        [Display(Name = "Is New")]
        public bool IsNewRecord { get; set; }

        [Display(Name = "File Required")]
        public bool FileRequired { get; set; }

        public DocumentViewModel DocumentViewModel { get; set; }
    }

    public class DocumentViewModel
    {
        public string DocumentID { get; set; }

        [Display(Name = "File Name")]
        public string FileName { get; set; }

        [Display(Name = "Number")]
        public string DocumentNumber { get; set; }

        [Display(Name = "Description")]
        public string DocumentDescription { get; set; }

        [Display(Name = "Purpose")]
        public string Purpose { get; set; }

        [Display(Name = "Folder")]
        public string Folder { get; set; }

        [Display(Name = "Type")]
        public string FileType { get; set; }

        [Display(Name = "Document")]
        public HttpPostedFileBase Document { get; set; }

        [Display(Name = "Created On")]
        public string CreatedOn { get; set; }

        [Display(Name = "Modified On")]
        public string ModifiedOn { get; set; }

    }
}