﻿using igComboMVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igComboMVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            EditDocumentViewModel vm = new EditDocumentViewModel();
            vm.DocumentViewModel = new DocumentViewModel
            {
                Purpose = "test"
            };

            return View(vm);
        }

        [ActionName("purpose-combo-data")]
        public JsonResult GetPurposes()
        {
            string[] retData = { "one", "two", "three", "test"};
            return Json(retData, JsonRequestBehavior.AllowGet);
        }
    }
}